// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once
#include "ISCW_FProperty.h"

#include <memory>

using std::shared_ptr;

namespace Sourcify
{	
	class ISCW_FNumericProperty : public virtual ISCW_FProperty
	{
	public:
		virtual ~ISCW_FNumericProperty() = default;

		virtual bool IsFloatingPoint() const = 0;

		virtual bool IsInteger() const = 0;
	};

	using ISCW_FNumericPropertyConstPtr = shared_ptr<const ISCW_FNumericProperty>;
	using ISCW_FNumericPropertyPtr = shared_ptr<ISCW_FNumericProperty>;
} // namespace Sourcify